// pages/couponDetail/couponDetail.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    couponDetail:{},
    cardno: '',
    couponType : '',
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow () {
    
  },
  onLoad(options) {
    wx.hideShareMenu();
    const {cardno,type} = options
    this.data.couponType = type;

    this.getCouponDetail(cardno,type)
    this.setData({
      cardno : cardno,
      couponType : type,
    });
  },

  // 卡券详情
  getCouponDetail(id,type){
    wx.showLoading({
      title: '加载中'
    });

    if(!type){
      this.getNormalCouponInfo(id);
    }
    //支付券
    else if(type == 1){
      this.getPayCardInfo(id);
    }
    //包邮券
    else if(type == 2){
      this.getPostalVoucherInfo(id);
    }
  },
  //获取支付券详情
  getPayCardInfo(id){

  },
  //获取包邮券详情
  getPostalVoucherInfo(id){

  },
  //获取优惠券相信
  getNormalCouponInfo(id){
    wxService.post(`/coupon/coupon/get?cardNo=${id}`).then(res => {
      const {result,data} = res.data
      if(result == 0){
         wx.hideLoading()
         data.coupon.startTime =  data.coupon.startTime.substring(0,10)
         data.coupon.endTime = data.coupon.endTime.substring(0,10)
         data.couponSetting.notice = JSON.parse(data.couponSetting.notice)
        for (let i in data.couponSetting.notice){
          if (data.couponSetting.notice[i].type == 1){
            data.couponSetting.notice[i].value = data.coupon.startTime.substring(0, 10) + ' 至 ' + data.coupon.endTime.substring(0, 10)
          }
        }
         this.setData({
            couponDetail: data
         })
      }
    }).finally(() => {
      wx.hideLoading()
    })
  },

  //展示券码
  handelPresentCouponCode(e) {
    // let data = e.currentTarget.dataset
    const {cardno} = this.data
    wxService.router(`/pages/couponCodeDetail/couponCodeDetail`).search({cardno})
  }
})