// pages/coupons.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    couponList: [],
    currentTab: 0,
    noMoreCoupon: false,
    // 支付券
    payCouponList : [],
    //包邮券
    postalVoucherList : []
  },
  //滑动切换
  swiperTab: function (e) {
    const {current} =  e.detail
    this.tabSwitch(current);
  },
  // 点击切换
  clickTab: function (e) {
    const {current} = e.target.dataset
    this.tabSwitch(current);
  },
  //tab栏切换
  tabSwitch(current){
    if (this.data.currentTab == current) return false; 
      this.data.currentTab = current;
      this.setData({
        currentTab: this.data.currentTab,
      });

      // 所有可使用优惠券
      if( current == 0 ){
        this.getCouponList(1,10,1)
      }else if( current == 1){
        //微信支付券

      }
      else if(current == 2){
        //包邮券

      }
  } , 
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad () {
    wx.hideShareMenu();
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow () {
    // 可使用 已失效
    this.getCouponList(1,10,1);
  },
  //跳转到卡券详情
  handelPresentCouponDetail(e) {
    let {cardno,type} = e.currentTarget.dataset
    if(type){
      wxService.router(`/pages/couponDetail/couponDetail`).search({cardno:cardno,type:type});
    }
    else{
      wxService.router(`/pages/couponDetail/couponDetail`).search({cardno:cardno});
    }
  },
  //
  handelPresentCouponCode(e) {
    let {cardno} = e.currentTarget.dataset
    wxService.router(`/pages/couponCodeDetail/couponCodeDetail`).search({cardno})
  },

  //获取优惠券列表
  getCouponList(pageNo,pageSize,statusNum){
    //获取我的优惠券
    wx.showLoading({
      title: '加载中'
    });

    let params = {};
    params.status = 1;
    this.data.couponList = [];

    wxService.post(`/coupon/coupon/listWithMember4Mina?number=1&size=1000000`, params).then(res => {
      if(!res) return false
      const {result,data} = res.data
      if(result == 0){
        console.log(res)
         wx.hideLoading()
         // 处理时间显示
         if(!data.content) return false
         
          data.content.forEach(item=> {
           item.startTime = item.startTime.substring(0,10)
           item.endTime = item.endTime.substring(0,10)
          });

          this.setData({
            couponList: data.content,
          });
      }

    }).finally(() => {
      wx.hideLoading();
    })
  },
  /**
 * 页面相关事件处理函数--监听用户下拉动作
 */
  onPullDownRefresh: function () {
    // console.log(this.data.currentTab)
    // wx.stopPullDownRefresh();
  },
  //scoll view 触到底部
  onBottom(){
    
  },
  //跳转到我的购买优惠券记录
  onTapToBuyCouponRecords(){
    
  },
})